Loading...
Searching...
No Matches
casacore::CountedPtr< t >::Deleter< T > Class Template Reference

Helper class to make deletion of object optional. More...

`#include <CountedPtr.h>`

## Public Member Functions

| Deleter (Bool deleteIt)
void | operator() (T *data) const

## Private Attributes

Bool | reallyDeleteIt_p

## Detailed Description

template<class t>
template<typename T>
class casacore::CountedPtr< t >::Deleter< T >

Helper class to make deletion of object optional.

Definition at line 86 of file CountedPtr.h.

## Constructor & Destructor Documentation

## Deleter()

template<class t>
template<typename T>

casacore::CountedPtr< t >::Deleter< T >::Deleter | ( | Bool | deleteIt | ) |

inline

Definition at line 88 of file CountedPtr.h.

References reallyDeleteIt_p.

## Member Function Documentation

## operator()()

template<class t>
template<typename T>

void casacore::CountedPtr< t >::Deleter< T >::operator() | ( | T * | data | ) | const

inline

Definition at line 89 of file CountedPtr.h.

References reallyDeleteIt_p.

## Member Data Documentation

## reallyDeleteIt_p

template<class t>
template<typename T>

Bool casacore::CountedPtr< t >::Deleter< T >::reallyDeleteIt_p

private

Definition at line 91 of file CountedPtr.h.

Referenced by Deleter(), and operator()().

The documentation for this class was generated from the following file:

- casa/Utilities/CountedPtr.h